
QGIS Application - Bug report #14933

Geometry generator symbol layer crashes QGIS for invalid SpatiaLite geoms

2016-06-01 12:24 AM - Anita Graser

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:2.14.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 22884

Description

QGIS crashes if the invalid polygon in the attached Spatialite db is rendered with a geometry generator with centroid function:

geomgen.png

There is no crash if the same feature is saved to Shapefile for example.

Tested with 2.14.2 on Ubuntu and 2.14.3 on Windows.

History

#1 - 2016-06-01 12:24 AM - Anita Graser

- File geomgen.png added

#2 - 2016-06-01 12:25 AM - Anita Graser

- File invalids.sqlite added

#3 - 2016-06-06 02:15 AM - Matthias Kuhn

- Resolution set to worksforme

- Status changed from Open to Closed

Cannot reproduce on master and on release-2_14 branch.

Please verify on master and a nightly build of the release and reopen (with more information, e.g. backtrace if somehow possible).

Files

geomgen.png 129 KB 2016-05-31 Anita Graser

invalids.sqlite 4.21 MB 2016-05-31 Anita Graser
